rpm 4.20.1 The RPM Package Manager

Loading...
Searching...
No Matches
Data Structures | Typedefs | Enumerations | Functions
rpmsign.h File Reference
`#include <rpm/argv.h>`
`#include <rpm/rpmpgp.h>`
Include dependency graph for rpmsign.h:

Go to the source code of this file.

## Data Structures
struct | rpmSignArgs

## Typedefs
typedef rpmFlags | rpmSignFlags

## Enumerations
enum | rpmSignFlags_e { RPMSIGN_FLAG_NONE = 0 , RPMSIGN_FLAG_IMA = (1 << 0) , RPMSIGN_FLAG_RPMV3 = (1 << 1) , RPMSIGN_FLAG_FSVERITY = (1 << 2) }

## Functions
int | rpmPkgSign (const char *path, const struct rpmSignArgs *args)
int | rpmPkgDelSign (const char *path, const struct rpmSignArgs *args)
int | rpmPkgDelFileSign (const char *path, const struct rpmSignArgs *args)

## Detailed Description

Signature API